<?php
global $wpsc_query, $wpdb, $query_string;

$query_string = '&'.$query_string;

$image_width = get_option('single_view_image_width');
$image_height = get_option('single_view_image_height');
?>
<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
<?php $current_product_id = wpsc_the_product_id(); ?>
<div class="textfeat">
	<div id="app" class="app">
		<?php $product_permalink = wpsc_the_product_permalink(); ?>
		<?php if(get_option('show_thumbnails')) :?>
		<?php if(wpsc_the_product_thumbnail()) :?>
		<img width="62" height="62" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" />
		<?php else: ?>
		<span>No Image Available</span>
		<?php endif; ?>
		<?php endif; ?>
		<h4>
		<?php if(get_option('hide_name_link') == 1) : ?>
			<span><?php echo wpsc_the_product_title(); ?></span>
		<?php else: ?> 
			<a href="<?php echo $product_permalink; ?>"><?php echo wpsc_the_product_title(); ?></a>
		<?php endif; ?>
		</h4>
		<span class="grey">
		<?php
			echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
			$categories_name = icl_output_get_categories(wpsc_the_product_id(), ', ');
			$categories_id = icl_output_get_categories_id(wpsc_the_product_id(), ', ');
			echo $categories_id;
		?>
		</span>
		<br/>
		<?php // show price ?>
		<?php if(wpsc_product_is_donation()) : ?>
		<?php else : ?>
			<?php if(wpsc_product_on_special()) : ?>
				<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
			<?php endif; ?>
			<strong><?php echo wpsc_the_product_price(); ?></strong>
		<?php endif; ?>
		<div class="clear"></div>
		<?php // show description ?>
		<p><?php echo wpsc_the_product_description(); ?></p>
	</div>
</div>
<?php $product_picture = get_product_meta(wpsc_the_product_id(), 'product_picture'); ?>
<?php if($product_picture != '') : ?>
<div class="imgfeat<?php if (icl_is_horizontal(wpsc_the_product_id())) : ?> ifhr<?php endif; ?>">
	<img alt="<?php echo wpsc_the_product_title(); ?>" src="<?php echo $product_picture; ?>" />
</div><!-- imgfeat -->
<?php endif; ?>
<div class="clear"></div>
<?php do_action('wpsc_product_addons', wpsc_the_product_id()); ?>
<?php if(wpsc_the_product_additional_description()) : ?>
<br clear="all" />
<?php // show additional description ?>
<p class="single_additional_description">
<?php
	$value = '';
	$the_addl_desc = wpsc_the_product_additional_description();
	if( is_serialized($the_addl_desc) ) {
		$addl_descriptions = @unserialize($the_addl_desc);
	} else {
		$addl_descriptions = array('addl_desc', $the_addl_desc);
	}
	
	if( isset($addl_descriptions['addl_desc']) ) {
		$value = $addl_descriptions['addl_desc'];
	}

	if( function_exists('wpsc_addl_desc_show') ) {
		echo wpsc_addl_desc_show( $addl_descriptions );
	} else {
		echo $the_addl_desc;
	}
?>
</p>
<?php endif; ?>
<?php do_action('wpsc_product_addon_after_descr', wpsc_the_product_id()); ?>
<br clear="all"/>
<?php // show custom meta ?>
<div class="custom_meta">
	<?php while (wpsc_have_custom_meta()) : wpsc_the_custom_meta(); ?>
		<?php if (wpsc_custom_meta_name() != 'product_picture') : ?>
		<strong><?php echo wpsc_custom_meta_name(); ?>: </strong><?php echo wpsc_custom_meta_value(); ?><br />
		<?php endif; ?>
	<?php endwhile; ?>
</div>
<form class='product_form' enctype="multipart/form-data" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="1" id="product_<?php echo wpsc_the_product_id(); ?>">
<?php if(wpsc_product_has_personal_text()) : ?>
	<!--<br clear="all"/>
	<div class='custom_text'>
		<strong><?php echo TXT_WPSC_PERSONALIZE_YOUR_PRODUCT; ?></strong><br />
		<?php echo TXT_WPSC_PERSONALIZE_YOUR_PRODUCT_DESCRIPTION; ?><br />
		<textarea name='custom_text' rows='5' style="width:100%;"></textarea>
	</div>-->
<?php endif; ?>

<?php if(wpsc_product_has_supplied_file()) : ?>
	<!--<br clear="all"/>
	<div class='custom_file'>
		<strong><?php echo TXT_WPSC_UPLOAD_A_FILE; ?></strong><br />
		<?php echo TXT_WPSC_UPLOAD_A_FILE_DESCRIPTION; ?><br />
		<input type='file' name='custom_file' value='' />
	</div>-->
<?php endif; ?>

<?php /** the variation group HTML and loop */?>
<!--<div class="wpsc_variation_forms">
	<?php while (wpsc_have_variation_groups()) : wpsc_the_variation_group(); ?>
		<br clear="all"/>
		<p>
			<label for="<?php echo wpsc_vargrp_form_id(); ?>"><strong><?php echo wpsc_the_vargrp_name(); ?>:</strong></label>
			<?php /** the variation HTML and loop */?>
			<select class='wpsc_select_variation' name="variation[<?php echo wpsc_vargrp_id(); ?>]" id="<?php echo wpsc_vargrp_form_id(); ?>">
			<?php while (wpsc_have_variations()) : wpsc_the_variation(); ?>
				<option value="<?php echo wpsc_the_variation_id(); ?>" <?php echo wpsc_the_variation_out_of_stock(); ?>><?php echo wpsc_the_variation_name(); ?></option>
			<?php endwhile; ?>
			</select> 
		</p>
	<?php endwhile; ?>
</div>-->
<?php /** the variation group HTML and loop ends here */?>

<!-- THIS IS THE QUANTITY OPTION MUST BE ENABLED FROM ADMIN SETTINGS -->
<?php if(wpsc_has_multi_adding()): ?>
	<br clear="all"/>
	<label class='wpsc_quantity_update' for='wpsc_quantity_update'><strong><?php echo TXT_WPSC_QUANTITY; ?>:</strong></label>
	<input type="text" id='wpsc_quantity_update' name="wpsc_quantity_update" size="2" value="1"/>
	<input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
	<input type="hidden" name="wpsc_update_quantity" value="true"/>
<?php endif ;?>
<!-- END OF QUANTITY OPTION -->

<?php
	if(function_exists('wpsc_akst_share_link') && (get_option('wpsc_share_this') == 1))
	{
		echo wpsc_akst_share_link('return');
	} 
?>

<input type="hidden" value="add_to_cart" name="wpsc_ajax_action"/>
<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id"/>

<?php if(wpsc_product_is_customisable()) : ?>				
	<input type="hidden" value="true" name="is_customisable"/>
<?php endif; ?>

<br/><br/>

<?php if((get_option('hide_addtocart_button') == 0) && (get_option('addtocart_or_buynow') !='1')) : ?>
	<?php if(wpsc_product_has_stock()) : ?>
	<div class="clear"></div>
	<span class="buy">
		<img width="14" height="16" alt="buy" src="<?php bloginfo('template_url'); ?>/images/ico_buy.png" />
		<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
			<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
		<a href="#" onclick="javascript:gotoexternallink('<?php echo $action; ?>');"><?php echo TXT_WPSC_BUYNOW; ?></a>
		<?php else: ?>
		<a href="#" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button" onclick="javascript:document.getElementById('product_<?php echo wpsc_the_product_id(); ?>').submit();"><?php echo TXT_WPSC_ADDTOCART; ?></a>
		<?php endif; ?>
	</span>
	<div class='wpsc_loading_animation'>
		<img title="Loading" alt="Loading" src="<?php echo WPSC_URL ;?>/images/indicator.gif" class="loadingimage" />
		<?php echo TXT_WPSC_UPDATING_CART; ?>
	</div>
	<?php else : ?>
	<p class='soldout'><?php echo TXT_WPSC_PRODUCTSOLDOUT; ?></p>
	<?php endif ; ?>
<?php endif ; ?>
</form>
<?php if((get_option('hide_addtocart_button') == 0) && (get_option('addtocart_or_buynow')=='1')) : ?>
	<?php echo wpsc_buy_now_button(wpsc_the_product_id()); ?>
<?php endif; ?>

<?php echo wpsc_product_rater(); ?>

<?php
	if(function_exists('gold_shpcrt_display_gallery')) :					
		echo gold_shpcrt_display_gallery(wpsc_the_product_id());
	endif;
?>

<form onsubmit="submitform(this);return false;" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>" id="product_extra_<?php echo wpsc_the_product_id(); ?>">
	<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="prodid"/>
	<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="item"/>
</form>

<?php echo wpsc_product_comments(); ?>
<?php endwhile; ?>
<?php
	if(function_exists('fancy_notifications'))
	{
		echo fancy_notifications();
	}
?>
<hr class="hrbar"/>
<div id="others" class="apptop">
	<div class="abl">
		<h2>Other <?php echo $categories_name; ?> Apps</h2>
	</div>
	<div class="abr">
		<?php $categories = icl_get_categories(); ?>
		<span>Browse</span>
		<form action="">
			<script type="text/javascript">
				jQuery(document).ready(function(){
					jQuery('#sys_category_list').change(function(){
						location.href = '<?php echo get_option('siteurl'); ?>/products-page/' + jQuery(this).val() + '/';
					});
				});
			</script>
			<select id="sys_category_list">
				<option value="">-- select category --</option>
				<?php foreach($categories as $category) : ?>
				<option value="<?php echo $category['nice-name']; ?>"><?php echo $category['name']; ?></option>
				<?php endforeach; ?>
			</select>
		</form>
		<?php
		$page = stripNonText($_GET['page']);
		$current_page = (isset($page) && $page != '') ? $page : 1;
		$i_row = 1;
		$i_product = 1;
		$max_per_row = 3;
		$max_per_page = 12;
		
		$sql = 'SELECT ' . WPSC_TABLE_PRODUCT_LIST . '.id, name, LEFT(description, 80) as description, image ';
		$sql .= 'FROM ' . WPSC_TABLE_PRODUCT_LIST . ' LEFT JOIN ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . ' ON ';
		$sql .= WPSC_TABLE_PRODUCT_LIST . '.id = ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.product_id ';
		$sql .= 'WHERE publish = 1 AND active = 1 AND ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.category_id IN (' . $categories_id . ') ';
		if ($current_product_id != '')
		{
			$sql .= 'AND ' . WPSC_TABLE_PRODUCT_LIST . '.id != ' . $current_product_id . ' ';
		}
		
		$product_count = count($wpdb->get_results($sql, ARRAY_A));
		
		$sql .= ' GROUP BY ' . WPSC_TABLE_PRODUCT_LIST . '.id LIMIT ' . (($current_page - 1) * $max_per_page) . ', ' . $max_per_page;
		
		$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
		$wpsc_query->product_count = count($wpsc_query->products);
		
		$max_page = ceil($product_count / $max_per_page);
		$max_page = ($max_page == 0) ? 1 : $max_page;
		?>
		<span>Page <?php echo $current_page ?> of <?php echo $max_page ?></span>
		<?php if ($current_page == 1) : ?>
		<label>&laquo; Prev</label>
		<?php else: ?>
		<a href="<?php echo $product_permalink; ?>?page=<?php echo ($current_page - 1); ?>#others">&laquo; Prev</a>
		<?php endif; ?>
		|
		<?php if ($current_page == $max_page) : ?>
		<label>Next &raquo;</label>
		<?php else: ?>
		<a href="<?php echo $product_permalink; ?>?page=<?php echo ($current_page + 1); ?>#others">Next &raquo;</a>
		<?php endif; ?>
	</div>
	<div class="clear"></div>
</div>
<div class="colap noh3">
<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
	<div class="app<?php if ($i_row == $max_per_row) : ?> appr<?php endif; ?>">
		<?php if(get_option('show_thumbnails')) :?>
		<?php if(wpsc_the_product_thumbnail()) :?>
			<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="62" height="62" />
		<?php else: ?>
			<span>No Image Available</span>
		<?php endif; ?>
		<?php endif; ?>
		<h4>
		<?php if(get_option('hide_name_link') == 1) : ?>
			<span><?php echo wpsc_the_product_title(); ?></span>
		<?php else: ?> 
			<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
		<?php endif; ?>
		</h4>
		<span class="grey">
		<?php
			echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
		?>
		</span>
		<br/>
		<?php if(wpsc_product_is_donation()) : ?>
		<?php else : ?>
			<?php if(wpsc_product_on_special()) : ?>
				<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
			<?php endif; ?>
			<strong><?php echo wpsc_the_product_price(); ?></strong>
		<?php endif; ?>
		<div class="clear"></div>
		<p><?php echo wpsc_the_product_description(); ?></p>
	</div>
	<?php if ($i_row == $max_per_row) : ?>
	<div class="clear"></div>
	<?php $i_row = 0; ?>
	<?php endif; ?>
	<?php ++$i_row; ?>
	<?php if ($i_product == $wpsc_query->product_count) : ?>
	<div class="clear"></div>
	<?php endif; ?>
	<?php ++$i_product; ?>
<?php endwhile; ?>
</div>
<div class="appbot">
	<div class="abl">
		<a href="<?php echo $product_permalink; ?>">Back to top</a>
	</div>
	<div class="abr">
		<span>Page <?php echo $current_page ?> of <?php echo $max_page ?></span>
		<?php if ($current_page == 1) : ?>
		<label>&laquo; Prev</label>
		<?php else: ?>
		<a href="<?php echo $product_permalink; ?>?page=<?php echo ($current_page - 1); ?>#others">&laquo; Prev</a>
		<?php endif; ?>
		|
		<?php if ($current_page == $max_page) : ?>
		<label>Next &raquo;</label>
		<?php else: ?>
		<a href="<?php echo $product_permalink; ?>?page=<?php echo ($current_page + 1); ?>#others">Next &raquo;</a>
		<?php endif; ?>
	</div>
	<div class="clear"></div>
</div>