<?php

/**
 * @package WordPress
 * @subpackage AppCloud
 */

get_currentuserinfo() ;

global $user_login, $user_level, $display_name, $homeCls;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<style type="text/css" media="screen">

<?php
// Checks to see whether it needs a sidebar or not
if ( empty($withcomments) && !is_single() ) {
?>
	#page { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbg-<?php bloginfo('text_direction'); ?>.jpg") repeat-y top; border: none; }
<?php } else { // No sidebar ?>
	#page { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbgwide.jpg") repeat-y top; border: none; }
<?php } ?>

</style>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php wp_head(); ?>
<script type="text/javascript" src="<?php echo bloginfo('template_url');?>/js/stepcarousel.js"></script>
</head>
<body>
	<div class="area">
		<div class="header">
			<h1><?php bloginfo('name'); ?></h1>
			<h2><?php bloginfo('description'); ?></h2>
			<div class="sign">
				<ul>
					<?php if ($user_level > -1) : ?>
					<li><a href="<?php echo get_option('home'); ?>/producs-page/your-account/">Hi, <?php echo (($display_name != '') ? $display_name : $user_login); ?></a></li>
					<li><a href="<?php echo get_option('home'); ?>/products-page/transaction-results/">Shopping Cart</a></li>
					<li><a href="<?php echo get_option('home'); ?>/producs-page/checkout/">Checkout</a></li>
					<li class="no"><a class="black" href="<?php echo wp_logout_url(get_permalink()); ?>">Logout</a></li>
					<?php else : ?>
					<li><a href="<?php echo get_option('home'); ?>/wp-login.php?action=register">Register</a></li>
					<li class="no"><a href="<?php echo get_option('home'); ?>/producs-page/your-account/">Sign In</a></li>
					<?php endif; ?>
				</ul>
			</div><!-- sign -->
			<div class="clear"></div>
			<?php $pages = get_pages(array('sort_column' => 'menu_order', 'parent' => 0)); ?>
			<ul class="headnav">
				<li class="<?php echo $homeCls; ?>"><a href="<?php echo get_option('home'); ?>">Home</a></li>
				<?php if (is_array($pages) && count($pages) > 0) : ?>
				<?php $n_page = count($pages); ?>
				<?php $i_page = 1; ?>
				<?php foreach($pages as $page) : ?>
				<li<?php if($i_page == $n_page) : ?>class="no"<?php endif; ?>><a href="<?php echo get_option('siteurl'); ?>/<?php echo $page->post_name; ?>/"><?php echo $page->post_title; ?></a></li>
				<?php ++$i_page; ?>
				<?php endforeach; ?>
				<?php endif; ?>
			</ul>
		</div><!-- header -->